Arbor 3: FSM & BT Graph Editor 3.3.0

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Properties | List of all members
FlexibleBounds Class Reference

Class to handle a flexible Bounds type reference method there is more than one. More...

Inheritance diagram for FlexibleBounds:

## Public Member Functions
object | GetValueObject ()
| Return the value as object. More...
| FlexibleBounds ()
| FlexibleBounds default constructor More...
| FlexibleBounds (Bounds value)
| FlexibleBounds constructor More...
| FlexibleBounds (BoundsParameterReference parameter)
| FlexibleBounds constructor More...
| FlexibleBounds (InputSlotBounds slot)
| FlexibleBounds constructor More...

## Static Public Member Functions
static | operator Bounds (FlexibleBounds flexible)
| Cast FlexibleBounds to Bounds. More...
static | operator FlexibleBounds (Bounds value)
| Cast Bounds to FlexibleBounds. More...

## Properties
FlexibleType | type`[get]`
| It returns a type More...
Parameter | parameter`[get]`
| It return a Paramter. More...
Bounds | value`[get]`
| It returns a value More...

## Detailed Description

Class to handle a flexible Bounds type reference method there is more than one.

## Constructor & Destructor Documentation

FlexibleBounds | ( |  | ) |

FlexibleBounds default constructor

FlexibleBounds | ( | Bounds | value | ) |

FlexibleBounds constructor

Parameters

  value | Value

FlexibleBounds | ( | BoundsParameterReference | parameter | ) |

FlexibleBounds constructor

Parameters

  parameter | Parameter

FlexibleBounds | ( | InputSlotBounds | slot | ) |

FlexibleBounds constructor

Parameters

  slot | Slot

## Member Function Documentation

object GetValueObject | ( |  | ) |

Return the value as object.

Returns
  The value object

Implements IFlexibleField.

static operator Bounds | ( | FlexibleBounds | flexible | ) |
| explicit static

Cast FlexibleBounds to Bounds.

Parameters

  flexible | FlexibleBounds

static operator FlexibleBounds | ( | Bounds | value | ) |
| explicit static

Cast Bounds to FlexibleBounds.

Parameters

  value | Bounds

## Property Documentation

Parameter parameter
| get

It return a Paramter.

It is null if Type is other than Parameter.

FlexibleType type
| get

It returns a type

Bounds value
| get

It returns a value